Ads and Commerce
Ads and Commerce
Resources

Ad Account Account Controls

Updated: Apr 24, 2024

Reading

Get default fields on an AdAccountBusinessConstraints node associated with this AdAccount. Refer to the AdAccountBusinessConstraints reference for a list of these fields and their descriptions.

Example

GET /v25.0/{ad-account-id}/account_controls HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

This endpoint doesn't have any parameters.

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdAccountBusinessConstraints nodes.
paging
For more details about pagination, see the Graph API guide.

Error Codes

Error Code Description
200
Permissions error
100
Invalid parameter
190
Invalid OAuth 2.0 Access Token

Creating

/act_{ad_account_id}/account_controls

You can make a POST request to account_controls edge from the following paths:
When posting to this edge, an AdAccountBusinessConstraints will be created.

Parameters

Parameter Description
audience_controls
JSON or object-like arrays
audience_controls
required

age_min int64
geo_locations JSON or object-like arrays
excluded_geo_locations JSON or object-like arrays
exclusions JSON or object-like arrays
Show child parameters
placement_controls
JSON or object-like arrays
This field contains another field called placement_exclusion that provides information on which placements need to be excluded while targeting. All the other placements will be included. Each placement is denoted by a string that concatenates the publisher platform of the placement and a position inside the publisher platform, separated by an underscore. What is provided as parameter is a list of placements. For e.g. If we want to exclude the rewarded videos position from the audience network publisher platform, we provide the field as follows: { "placement_controls": { "placement_exclusions": ["audience_network_rewarded_video"] } } Only a few placements are allowed to be excluded: audience_network_classic (native, banner & interstitial positions of audience network) audience_network_rewarded_video (rewarded videos of audience network) audience_network_instream_video (instream videos of audience network) facebook_marketplace (marketplace section inside facebook) facebook_rhc (right hand column inside facebook)

placement_exclusions array<enum {AUDIENCE_NETWORK_CLASSIC, AUDIENCE_NETWORK_REWARDED_VIDEO, AUDIENCE_NETWORK_INSTREAM_VIDEO, FACEBOOK_MARKETPLACE, FACEBOOK_RIGHT_HAND_COLUMN}>
campaign_ids_to_set_ap array<numeric string>
Show child parameters

Return Type

Struct  {
id: string,
success: bool,
error_code: string,
error_message: string,
}

Error Codes

Error Code Description
100
Invalid parameter
2641
Your ad includes or excludes locations that are currently restricted
200
Permissions error

Updating

Use the POST /act_<AD_ACCOUNT_ID>/account_controls endpoint to update the AdAccountBusinessConstraints associated with this AdAccount.
You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon